Create Sub MSP
This API is Applicable only for SaaS Environment
This API can be used by Aggregator to create Sub MSP. Sub MSP provisioning is asynchronous.
Request Body
| Field | Description | Type | Required | Notes |
|---|---|---|---|---|
| name | Sub MSP name | String | True | |
| externalId | Sub MSP ID in Partner System | String | False | |
| website | Sub MSP website | String | False | |
| currency | Sub MSP currency | Currency Code | True | |
| backupInfraShared | If using shared backup infrastructure If not provided, default false. | Boolean | False | |
| contacts | Sub MSP contacts | List of contact object | True | See - Contact Object |
Contact Object
| Field | Description | Value | Required | Notes |
|---|---|---|---|---|
| type | Contact type | "admin" | True | |
| firstName | Contact first name | String | True | |
| lastName | Contact last name | String | True | |
| Contact email | String | True | ||
| address | Contact address | Address Object | True | See - Address Object |
Address Object
| Field | Description | Value | Required | Notes |
|---|---|---|---|---|
| addressLine1 | Street address | String | True | |
| city | City | String | True | |
| state | State | String | True | |
| country | Country | String | True | |
| postalCode | Postal Code | String | True |
- application/json
Request Body required
- name string required
Sub MSP name
- externalId string
Sub MSP ID in Partner System
- website string
Sub MSP website
- currency string required
Sub MSP currency
- backupInfraShared boolean
Default value:
falseIf using shared backup infrastructure. If not provided, default false.
contacts object[] required
Sub MSP contacts
type string requiredPossible values: [
admin]Contact type
firstName string requiredContact first name
lastName string requiredContact last name
email email requiredContact email
address object required
Contact address
addressLine1 string requiredStreet address
city string requiredCity
state string requiredState
country string requiredCountry
postalCode string requiredPostal Code
- 201
- 400
- 401
- 403
- 500
Created
- application/json
- Schema
- Example (from schema)
- Example
Schema
data object
id uuidSub MSP ID in Commvault
status stringSub MSP status
insertTs date-timeSub MSP created time
updateTs date-timeSub MSP last updated time
name stringSub MSP name
externalId stringSub MSP ID in Partner System
website stringSub MSP website
currency stringSub MSP currency
backupInfraShared booleanIf using shared backup infrastructure
contacts object[]
type stringfirstName stringlastName stringemail stringaddress object
addressLine1 stringcity stringstate stringcountry stringpostalCode string
{
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "provisioning",
"insertTs": "2026-02-27",
"updateTs": "2026-02-27",
"name": "string",
"externalId": "string",
"website": "string",
"currency": "string",
"backupInfraShared": true,
"contacts": [
{
"type": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"addressLine1": "string",
"city": "string",
"state": "string",
"country": "string",
"postalCode": "string"
}
}
]
}
}
{
"data": {
"id": "5D378A8D-12F6-4589-9B97-886150B95072",
"status": "provisioning",
"insertTs": "2024-12-03T20:36:24",
"updateTs": "2024-12-03T20:39:16",
"name": "Sub MSP 1",
"website": "www.submsp1.com",
"currency": "USD",
"backupInfraShared": false,
"contacts": [
{
"type": "admin",
"email": "admin@submsp1.com",
"firstName": "Admin",
"lastName": "User",
"address": {
"city": "Santa Clara",
"addressLine1": "1 wolfe Rd",
"state": "California",
"country": "United States",
"postalCode": "94051"
}
}
]
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
- Example
Schema
error object
code integerValidation error code
message stringValidation error message
errors object[]
Validation details
field stringField name
message stringError details
{
"error": {
"code": 0,
"message": "string",
"errors": [
{
"field": "string",
"message": "string"
}
]
}
}
{
"error": {
"code": 1119,
"message": "Org request validation Failed.",
"errors": [
{
"field": "name",
"message": "name already exists"
},
{
"field": "currency",
"message": "currency is invalid"
}
]
}
}
Unauthorized
Forbidden
Internal Server Error